client_max_body_size 50M;
types_hash_max_size 4096;
client_header_timeout 3600;
client_body_timeout 3600;
send_timeout 3600;
proxy_read_timeout 3600;
proxy_connect_timeout 3600;
proxy_send_timeout 3600;